package com.totopia.server.modules.user.repository;

import org.springframework.data.jpa.repository.JpaRepository;

import java.util.Optional;

import com.totopia.server.modules.user.entity.RoleEntity;
import com.totopia.server.modules.user.type.RoleName;

public interface RoleRepository extends JpaRepository<RoleEntity, Long> {
  Optional<RoleEntity> findByName(RoleName name);
}
